Bug 179295

Summary: [WPE] Remove deprecated functions and properties from the API
Product: WebKit Reporter: Michael Catanzaro <mcatanzaro>
Component: WPE WebKitAssignee: Michael Catanzaro <mcatanzaro>
Status: RESOLVED FIXED    
Severity: Normal CC: bugs-noreply, commit-queue, mcatanzaro, zan
Priority: P2    
Version: Other   
Hardware: PC   
OS: Linux   
Bug Depends on:    
Bug Blocks: 178894    
Attachments:
Description Flags
Patch
none
Patch none

Description Michael Catanzaro 2017-11-05 07:43:58 PST
It's a bit silly to make our first release with deprecated stuff in the API. We should remove all of it from our headers and use #if PLATFORM(GTK) guards to make sure the implementations are not exported.
Comment 1 Michael Catanzaro 2018-04-07 21:00:21 PDT
Here is a WIP. I still need to fix:

 * testWebViewAuthenticationStorage in TestAuthentication
 * TestCookieManager
Comment 2 Michael Catanzaro 2018-04-07 21:01:11 PDT
Created attachment 337442 [details]
Patch
Comment 3 Michael Catanzaro 2018-04-24 15:00:05 PDT
(In reply to Michael Catanzaro from comment #1)
> Here is a WIP. I still need to fix:
> 
>  * testWebViewAuthenticationStorage in TestAuthentication
>  * TestCookieManager

I spent about an hour on testWebViewAuthenticationStorage today... it's not worth it. TestCookieManager is going to be more work. Let's just disable these bits on WPE for now.
Comment 4 Michael Catanzaro 2018-04-24 15:08:53 PDT
Created attachment 338675 [details]
Patch
Comment 5 WebKit Commit Bot 2018-04-25 11:41:18 PDT
Comment on attachment 338675 [details]
Patch

Clearing flags on attachment: 338675

Committed r231004: <https://trac.webkit.org/changeset/231004>
Comment 6 WebKit Commit Bot 2018-04-25 11:41:20 PDT
All reviewed patches have been landed.  Closing bug.